<div>
  <div class="">
    <form class="" #rf="ngForm" name="recForm" (ngSubmit)="doReconcile()">
      <div class="mb-3">
        <label for="src" class="form-label">Source File</label>
        <input required (change)="onSourceSelect($event)" class="form-control" 
          id="src" type="file" name="sourceFile"  accept=".json, .csv" single>
          <div *ngIf="!isSourceFileValid" class="alert alert-danger" role="alert">
            <div *ngIf="sourceFileErrorMessage">{{sourceFileErrorMessage}}</div>
          </div>
        <br>
        <label class="form-label" for="trgt">Target File</label>
        <input required (change)="onTargetSelect($event)" class="form-control" 
          id="trgt" type="file" name="targetFile" accept=".json, .csv" single>
          <div *ngIf="!isTargetFileValid" class="alert alert-danger" role="alert">
            <div *ngIf="targetFileErrorMessage">{{targetFileErrorMessage}}</div>
          </div>
        <br>
      </div>
      <button class="btn btn-primary btn-lg" type="submit">Reconcile</button>
    </form>
  </div>

  <!--only if reconciliation process completes-->
  <br>
  <div *ngIf="isReconciliationCompleted">
    <div class="card">
      <div class="card-body">
        <div class="position-relative">
          <div class="position-absolute top-0 end-0">
            <button type="button" class="btn-close" (click)="close()"></button>
          </div>
        </div>
        <h5 class="card-title">Reconciliation Results</h5>
        <p class="card-text">The Source and Target file has been compared and 3 different file has been created.</p>
        <div class="card text-center">
          <div class="card-header">
            <ul class="nav nav-tabs card-header-tabs">
              <li class="nav-item">
                <a class="nav-link" routerLink="/matching">Matched</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" routerLink="/mis-matching">Mis-Matched</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" routerLink="/missing">Missing</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="card-body">
          <router-outlet></router-outlet>
        </div>
      </div>
    </div>
  </div>
</div>

<div *ngIf="errorMessage" class="alert alert-danger"> 
  {{ errorMessage }} 
</div>
